# Interface Record

All Known Implementing Classes:
  `ACL, AddWatchRequest, AuthPacket, CheckVersionRequest, CheckVersionTxn, CheckWatchesRequest, ClientInfo, CloseSessionTxn, ConnectRequest, ConnectResponse, Create2Response, CreateContainerTxn, CreateRequest, CreateResponse, CreateSessionTxn, CreateTTLRequest, CreateTTLTxn, CreateTxn, CreateTxnV0, DataNode, DeleteContainerRequest, DeleteRequest, DeleteTxn, ErrorResponse, ErrorTxn, ExistsRequest, ExistsResponse, FileHeader, GetACLRequest, GetACLResponse, GetAllChildrenNumberRequest, GetAllChildrenNumberResponse, GetChildren2Request, GetChildren2Response, GetChildrenRequest, GetChildrenResponse, GetDataRequest, GetDataResponse, GetEphemeralsRequest, GetEphemeralsResponse, GetMaxChildrenRequest, GetMaxChildrenResponse, GetSASLRequest, Id, LearnerInfo, MultiHeader, MultiOperationRecord, MultiResponse, MultiTxn, QuorumAuthPacket, QuorumPacket, ReconfigRequest, RemoveWatchesRequest, ReplyHeader, RequestHeader, SetACLRequest, SetACLResponse, SetACLTxn, SetDataRequest, SetDataResponse, SetDataTxn, SetMaxChildrenRequest, SetMaxChildrenTxn, SetSASLRequest, SetSASLResponse, SetWatches, SetWatches2, Stat, StatPersisted, SyncRequest, SyncResponse, Txn, TxnDigest, TxnHeader, WatcherEvent, WhoAmIResponse`

@Public public interface Record
Interface that is implemented by generated classes.

## Method Summary

Modifier and Type
Method
Description
`void`
`deserialize(InputArchive archive, String tag)`
`void`
`serialize(OutputArchive archive, String tag)`

## Method Details

### serialize

void serialize(OutputArchive archive, String tag) throws IOException

Throws:
  `IOException`

### deserialize

void deserialize(InputArchive archive, String tag) throws IOException

Throws:
  `IOException`